Bug 244171 - databases/influxdb: fix build on aarch64
Summary: databases/influxdb: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-16 17:51 UTC by Mikael Urankar
Modified: 2020-03-05 23:15 UTC (History)
1 user (show)

See Also:
woodsb02: maintainer-feedback+
woodsb02: merge-quarterly-


Attachments
patch (2.29 KB, patch)
2020-02-16 17:51 UTC, Mikael Urankar
woodsb02: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-16 17:51:59 UTC
Created attachment 211694 [details]
patch

Update sys to fix build on aarch64
https://github.com/influxdata/influxdb/pull/16904
Comment 1 Ben Woods freebsd_committer 2020-02-16 22:42:07 UTC
Comment on attachment 211694 [details]
patch

Looks ok to me.
If this passes build test (I haven’t tested), then you have my ok to commit.
Please bump PORTREVISION when you commit.
Comment 2 Emmanuel Vadot freebsd_committer 2020-02-21 11:54:20 UTC
Approved-by: manu (mentor)
Comment 3 Ben Woods freebsd_committer 2020-02-22 00:09:44 UTC
poudriere testport looks good to me.
I would consider requesting this be merged to quarterly, by including the following line in the commit message:
MFH:	2020Q1
Comment 4 Ben Woods freebsd_committer 2020-02-22 00:10:28 UTC
Please bump PORTREVISION when you commit.
Comment 5 commit-hook freebsd_committer 2020-03-04 17:11:52 UTC
A commit references this bug:

Author: mikael
Date: Wed Mar  4 17:11:24 UTC 2020
New revision: 527790
URL: https://svnweb.freebsd.org/changeset/ports/527790

Log:
  databases/influxdb: fix build on aarch64

  Unbreak by pulling in golang.org/x/sys@fead7900131 to fix build on aarch64

  PR:		244171
  Approved by:	woodsb02 (maintainer), manu (mentor)

Changes:
  head/databases/influxdb/Makefile
  head/databases/influxdb/distinfo
Comment 6 Ben Woods freebsd_committer 2020-03-04 22:45:21 UTC
Well done Mikael - good commit.

Are you intending to merge this to the quarterly ports branch?
https://www.freebsd.org/doc/en_US.ISO8859-1/articles/committers-guide/article.html#ports-qa-quarterly

If not, can you please mark this bug as closed?
Comment 7 Mikael Urankar freebsd_committer 2020-03-05 21:45:19 UTC
(In reply to Ben Woods from comment #6)
No I don't plan to MFH all the go / aarch64 fix.
Comment 8 Ben Woods freebsd_committer 2020-03-05 23:15:06 UTC
No problems - thanks for the fix!